Bug 571225 - Review Request: petit - Log analysis tool for syslog, Apache and raw log files
Summary: Review Request: petit - Log analysis tool for syslog, Apache and raw log files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-07 18:01 UTC by Sandro Mathys
Modified: 2010-05-04 06:22 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-26 23:23:36 UTC
dmaphy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mathys 2010-03-07 18:01:43 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/petit.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/petit-1.0.0-1.fc12.src.rpm
Description:
Log analysis tool which is useful to systems administrators & systems
analysts. It interacts with syslog and Apache logs to clarify what is
happening in logs.

$ rpmlint {SPECS,SRPMS,RPMS/noarch}/petit*
petit.src: W: spelling-error Summary(en_US) syslog -> systole, slogan, systolic
petit.src: W: spelling-error %description -l en_US syslog -> systole, slogan, systolic
petit.noarch: W: spelling-error Summary(en_US) syslog -> systole, slogan, systolic
petit.noarch: W: spelling-error %description -l en_US syslog -> systole, slogan, systolic
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

I think these warnings are safe to ignore ;)

I'll be on holiday until end of March. If you're so kind as to review this you won't have to hurry in this ;)

Comment 1 Sandro Mathys 2010-03-07 20:39:50 UTC
Oh and a scratch build on koji was successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2036867

Comment 2 Dominic Hopf 2010-04-05 22:39:49 UTC
$ rpmbuild -bs petit.spec
Erstellt: /home/dmaphy/rpmbuild/SRPMS/petit-1.0.0-1.fc12.src.rpm

$ rpmlint petit-1.0.0-1.fc12.src.rpm
petit.src: W: spelling-error Summary(en_US) syslog -> systole, slogan, syllogism
petit.src: W: spelling-error %description -l en_US syslog -> systole, slogan, syllogism
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

As you wrote before, this warnings can safely be ignored. :)

$ rpmlint petit-1.0.0-1.fc12.noarch.rpm
petit.noarch: W: spelling-error Summary(en_US) syslog -> systole, slogan, syllogism
petit.noarch: W: spelling-error %description -l en_US syslog -> systole, slogan, syllogism
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

See above.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Specfile name matches %{name}.spec
 [x] Package seems to meet Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
     supported architecture.
     Tested on: Fedora 12/x86_64
 [x] Rpmlint output:
     source RPM: see above
     binary RPM: see above
 [x] Package is not relocatable.
 [x] License in specfile matches actual License and meets Licensing Guidelines
     License: GPLv3+
 [x] License file is included in %doc.
 [x] Specfile is legible and written in AE
 [x] Sourcefile in the Package is the same as provided in the mentioned Source
     SHA1SUM of Source: c9bec12d98b692e198d2c4715216aa590055128a
 [x] Package compiles successfully
 [x] All build dependencies are listed in BuildRequires
 [-] Specfile handles locales properly
 [-] ldconfig called in %post and %postun if required
 [x] Package owns directorys it creates
 [-] Package requires other packages for directories it uses.
 [x] Package does not list a file more than once in the %files listing
 [x] %files section includes %defattr and permissions are set properly
 [x] %clean section is there and contains rm -rf $RPM_BUILD_ROOT
 [x] Macros are consistently used
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage
 [x] Program runs properly without files listed in %doc
 [-] Header files are in a -devel package
 [-] Static libraries are in a -static package
 [-] Package requires pkgconfig if .pc files are present
 [-] .so-files are put into a -devel subpackage
 [-] Subpackages include fully versioned dependency for the base package
 [-] Any libtool archives (*.la) are removed
 [-] contains desktop file (%{name}.desktop) if it is a GUI application
 [x] Package does not own files or directories owned by other packages.
 [x] $RPM_BUILD_ROOT is removed at beginning of %install
 [-] Filenames are encoded in UTF-8

=== SUGGESTED ITEMS ===
 [?] Package contains latest upstream version
 [x] Package does not include license text files separate from upstream.
 [-] non-English translations for description and summary
 [x] Package builds in mock
     Tested on: F12/x86_64
 [-] Package should compile and build into binary RPMs on all supported architectures.
     package is noarch
 [x] Program runs
 [-] Scriptlets must be sane, if used.
 [-] pkgconfig (*.pc) files are placed in a -devel package
 [-] require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required


Issues to point out:
 - It's better to list the manpage as '%{_mandir}/man1/petit.1.*' to prevent
   problems in case the compress algorithm changes. Well, this is not blocking
   the review but I'd like to see it fixed before you request CVS access.
 - I could not find out if there is any newer upstream version of petit than 1.0.0,
   the website doesn't provide information about that or I completely missed it.
   Also, svn update of the sources within the tarball is not possible.
 - Removing the .svn dirs should be upstreams job, right before putting sources
   into a tarball. You might want to contact upstream to suggest 'svn export'
   before releasing. :)


Your package looks good anyway and is APPROVED.

Comment 3 Sandro Mathys 2010-04-07 07:47:57 UTC
Thanks for the review!

(In reply to comment #2)
> Issues to point out:
>  - It's better to list the manpage as '%{_mandir}/man1/petit.1.*' to prevent
>    problems in case the compress algorithm changes. Well, this is not blocking
>    the review but I'd like to see it fixed before you request CVS access.

Done (locally).

>  - I could not find out if there is any newer upstream version of petit than
> 1.0.0,
>    the website doesn't provide information about that or I completely missed
> it.

1.0.0 is the latest release, see:
http://opensource.eyemg.com/files/petit/

But you're right, the website itself does not tell what's the newest version. Asked upstream to change that.

>  - Removing the .svn dirs should be upstreams job, right before putting sources
>    into a tarball. You might want to contact upstream to suggest 'svn export'
>    before releasing. :)

Suggested.

> Your package looks good anyway and is APPROVED.    

Thanks again!



New Package CVS Request
=======================
Package Name: petit
Short Description: Log analysis tool for syslog, Apache and raw log files
Owners: red
Branches: F-12 F-13 EL-5
InitialCC:

Comment 4 Kevin Fenzi 2010-04-08 02:39:41 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-04-08 07:31:32 UTC
petit-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/petit-1.0.0-1.fc12

Comment 6 Fedora Update System 2010-04-08 07:32:26 UTC
petit-1.0.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/petit-1.0.0-1.fc13

Comment 7 Fedora Update System 2010-04-08 07:33:08 UTC
petit-1.0.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/petit-1.0.0-1.el5

Comment 8 Fedora Update System 2010-04-08 19:13:29 UTC
petit-1.0.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update petit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/petit-1.0.0-1.el5

Comment 9 Fedora Update System 2010-04-09 04:11:06 UTC
petit-1.0.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update petit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/petit-1.0.0-1.fc13

Comment 10 Fedora Update System 2010-04-10 10:15:27 UTC
petit-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update petit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/petit-1.0.0-1.fc12

Comment 11 Sandro Mathys 2010-04-16 09:59:22 UTC
I made some tests with the pkg from -testing on F12 and RHEL5.5 which shows petit to work just fine. I'll wait a bit longer before I push this to stable, tho - looking for more karma on bodhi.

Comment 12 Fedora Update System 2010-04-26 23:23:30 UTC
petit-1.0.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-04 06:10:07 UTC
petit-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-04 06:22:01 UTC
petit-1.0.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.